XMLDOMDocument Class Referenceabstract

The XMLDOMDocument interface represents an entire XML document. More...

Inheritance diagram for XMLDOMDocument:

## Public Member Functions

virtual void | load (const File &fileName)=0
virtual XMLDOMElementPtr | getDocumentElement ()=0
virtual XMLDOMElementPtr | getElementById (const LogString &tagName, const LogString &elementId)=0
Public Member Functions inherited from XMLDOMNode
virtual XMLDOMNodeListPtr | getChildNodes ()=0
virtual XMLDOMNodeType | getNodeType ()=0
virtual XMLDOMDocumentPtr | getOwnerDocument ()=0
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members

Public Types inherited from XMLDOMNode
enum | XMLDOMNodeType { NOT_IMPLEMENTED_NODE = 0, ELEMENT_NODE = 1, DOCUMENT_NODE = 9 }
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

The XMLDOMDocument interface represents an entire XML document.

Conceptually, it is the root of the document tree, and provides the primary access to the document's data.

## Member Function Documentation

virtual XMLDOMElementPtr getDocumentElement | ( |  | ) |

pure virtual

virtual XMLDOMElementPtr getElementById | ( | const LogString & | tagName,
|  | const LogString & | elementId
| ) |  |

pure virtual

virtual void load | ( | const File & | fileName | ) |

pure virtual

The documentation for this class was generated from the following file:

- xml.h